Commit 6372223b authored by chrissi^'s avatar chrissi^

REQUIREMENTS: Use minimal dependencies for deploy

Signed-off-by: chrissi^'s avatarChris Fiege <chris@tinyhost.de>
parent 631433f7
...@@ -17,7 +17,7 @@ $(PYTHON_VENV)/.created: ...@@ -17,7 +17,7 @@ $(PYTHON_VENV)/.created:
rm -rf $(PYTHON_VENV) && \ rm -rf $(PYTHON_VENV) && \
$(PYTHON) -m venv $(PYTHON_VENV) && \ $(PYTHON) -m venv $(PYTHON_VENV) && \
. $(PYTHON_VENV)/bin/activate && \ . $(PYTHON_VENV)/bin/activate && \
pip install -r ./REQUIREMENTS.txt > $(PYTHON_VENV)/build.log 2>&1 && \ pip install -r ./REQUIREMENTS-deploy.txt > $(PYTHON_VENV)/build.log 2>&1 && \
(date > $(PYTHON_VENV)/.created) || \ (date > $(PYTHON_VENV)/.created) || \
(echo "\e[31m"; cat $(PYTHON_VENV)/build.log; echo "\e[0m"; exit 1) (echo "\e[31m"; cat $(PYTHON_VENV)/build.log; echo "\e[0m"; exit 1)
......
git+git://github.com/pengutronix/flamingo@master#egg=flamingo
beautifulsoup4==4.5.3
Pillow==4.3.0
ipython==6
coloredlogs
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment